# -*- coding: utf-8 -*-
from openerp import models, fields, tools, api

class accountBankStatementType(models.Model):
    _name = "account.bank.statement.type"

    name = fields.Char('Name', required=True)
    active = fields.Boolean('Active', default=True)
    code = fields.Char('Code', size=32, required=True, select=True)
    comment = fields.Text('Description')

    @api.model
    def createDefaultState(self):
        typeStatement = [
                {'name': 'Caja Chica', 'active': True, 'code': 'CHICA', 'comment': 'La caja chica es la caja que manipularan los cajeros durante un periodo de tiempo definido.'},
                {'name':'Caja General', 'active':True, 'code': 'GENERAL', 'comment': 'La caja generar sera manipulado por el gerente, y centralizara todo los movimiento de las caja chicas.'}
        ]

        for typeSt in typeStatement:
            statementType = self.env['account.bank.statement.type'].search([('code', '=', typeSt['code'])])

            types = {'name': typeSt['name'], 'active': typeSt['active'], 'code': typeSt['code'], 'comment': typeSt['comment']}

            if (not statementType):
                statementType.create(types)
